Package be.ehealth.businessconnector.ehbox.v3.service.impl

# Class ConsultationServiceImpl

java.lang.Object
be.ehealth.businessconnector.ehbox.v3.service.impl.ConsultationServiceImpl

All Implemented Interfaces:
  `ConsultationService`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class ConsultationServiceImpl extends Object implements ConsultationService, ConfigurationModuleBootstrap.ModuleBootstrapHook
Implementation of `ConsultationService`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultationServiceImpl()`
  default constructor , needed for ModuleBootstrapHook.
  `ConsultationServiceImpl(SessionValidator sessionValidator, EhboxReplyValidator replyValidator)`
  Instantiates a new consultation service impl.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `final DeleteMessageResponse`
  `deleteMessage(SAMLToken token, DeleteMessageRequest request)`
  delete specific message.
  `final DeleteOoOResponse`
  `deleteOoO(SAMLToken token, DeleteOoORequest request)`
  get list of periods of OoO for specific user.
  `GetAllEhboxesMessagesListResponse`
  `getAllEhboxesMessagesList(SAMLToken token, GetAllEhboxesMessagesListRequest request)`
  retrieve all messages from given source for all mailboxes.
  `final GetBoxInfoResponse`
  `getBoxInfo(SAMLToken token, GetBoxInfoRequest getBoxInfoRequest)`
  Gets the box info.
  `GetFullMessageResponse`
  `getFullMessage(SAMLToken token, GetFullMessageRequest request)`
  Gets the full message.
  `GetFullMessageResponse`
  `getFullMessage(SAMLToken token, MessageRequestType request)`
  Deprecated.
  `final GetMessageAcknowledgmentsStatusResponse`
  `getMessageAcknowledgmentsStatusResponse(SAMLToken token, GetMessageAcknowledgmentsStatusRequest request)`
  Get the acknowlegement status.
  `GetHistoryResponse`
  `getMessageHistory(SAMLToken token, GetHistoryRequest request)`
  Gets the message history.
  `final GetHistoryResponse`
  `getMessageHistory(SAMLToken token, MessageRequestType request)`
  Deprecated.
  `final GetMessagesListResponse`
  `getMessageList(SAMLToken token, GetMessagesListRequest request)`
  Gets the message list.
  `final GetOoOListResponse`
  `getOoOList(SAMLToken token, GetOoOListRequest request)`
  delete specific OoO périod.
  `InsertOoOResponse`
  `insertOoO(SAMLToken token, InsertOoORequest request)`
  insert Out Of Office period.
  `final MoveMessageResponse`
  `moveMessage(SAMLToken token, MoveMessageRequest request)`
  Move to in box.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultationServiceImpl

    public ConsultationServiceImpl(SessionValidator sessionValidator, EhboxReplyValidator replyValidator)
    Instantiates a new consultation service impl.
    Parameters:
      `sessionValidator` - the session validator
      `replyValidator` - the reply validator

  - ### ConsultationServiceImpl

    public ConsultationServiceImpl()
    default constructor , needed for ModuleBootstrapHook.

- ## Method Details

  - ### getBoxInfo

    public final GetBoxInfoResponse getBoxInfo(SAMLToken token, GetBoxInfoRequest getBoxInfoRequest) throws ConnectorException
    Gets the box info.
    Specified by:
      `getBoxInfo` in interface `ConsultationService`
    Parameters:
      `token` - the token
      `getBoxInfoRequest` -
    Returns:
      the box info
    Throws:
      `ConnectorException` - the technical connector exception

  - ### getFullMessage

    public GetFullMessageResponse getFullMessage(SAMLToken token, GetFullMessageRequest request) throws ConnectorException
    Description copied from interface: `ConsultationService`
    Gets the full message.
    Specified by:
      `getFullMessage` in interface `ConsultationService`
    Parameters:
      `token` - the token
      `request` - the message request type
    Returns:
      the full message
    Throws:
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException
    See Also:
      - `ConsultationService.getFullMessage(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.fgov.ehealth.ehbox.consultation.protocol.v3.GetFullMessageRequest)`

  - ### getFullMessage

    @Deprecated public GetFullMessageResponse getFullMessage(SAMLToken token, MessageRequestType request) throws ConnectorException
    Deprecated.
    Description copied from interface: `ConsultationService`
    Gets the full message.
    Specified by:
      `getFullMessage` in interface `ConsultationService`
    Parameters:
      `token` - the token
      `request` - the message request type
    Returns:
      the full message
    Throws:
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException
    See Also:
      - `ConsultationService.getFullMessage(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.fgov.ehealth.ehbox.consultation.protocol.v3.MessageRequestType)`

  - ### getMessageHistory

    @Deprecated public final GetHistoryResponse getMessageHistory(SAMLToken token, MessageRequestType request) throws ConnectorException
    Deprecated.
    Gets the message history.
    Specified by:
      `getMessageHistory` in interface `ConsultationService`
    Parameters:
      `token` - the token
      `request` - : messageRequestType the message request type
    Returns:
      the message history
    Throws:
      `ConnectorException` - the technical connector exception

  - ### getMessageHistory

    public GetHistoryResponse getMessageHistory(SAMLToken token, GetHistoryRequest request) throws ConnectorException
    Description copied from interface: `ConsultationService`
    Gets the message history.
    Specified by:
      `getMessageHistory` in interface `ConsultationService`
    Parameters:
      `token` - the token
      `request` - the message request type
    Returns:
      the message history
    Throws:
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException
    See Also:
      - `ConsultationService.getMessageHistory(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.fgov.ehealth.ehbox.consultation.protocol.v3.GetHistoryRequest)`

  - ### getMessageList

    public final GetMessagesListResponse getMessageList(SAMLToken token, GetMessagesListRequest request) throws ConnectorException
    Gets the message list.
    Specified by:
      `getMessageList` in interface `ConsultationService`
    Parameters:
      `token` - the token
      `request` - : messagesListRequest the messages list request
    Returns:
      the message list
    Throws:
      `ConnectorException` - the technical connector exception

  - ### getMessageAcknowledgmentsStatusResponse

    public final GetMessageAcknowledgmentsStatusResponse getMessageAcknowledgmentsStatusResponse(SAMLToken token, GetMessageAcknowledgmentsStatusRequest request) throws ConnectorException
    Description copied from interface: `ConsultationService`
    Get the acknowlegement status.
    Specified by:
      `getMessageAcknowledgmentsStatusResponse` in interface `ConsultationService`
    Parameters:
      `token` - the token
      `request` - the acknowlegment status type
    Returns:
      the acknowledgment status.
    Throws:
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException
    See Also:
      - `ConsultationService.getMessageAcknowledgmentsStatusResponse(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.fgov.ehealth.ehbox.consultation.protocol.v3.GetMessageAcknowledgmentsStatusRequest)`

  - ### deleteMessage

    public final DeleteMessageResponse deleteMessage(SAMLToken token, DeleteMessageRequest request) throws ConnectorException
    Description copied from interface: `ConsultationService`

    delete specific message.

    Specified by:
      `deleteMessage` in interface `ConsultationService`
    Parameters:
      `request` - the message id
    Returns:
      status in DeleteMessageResponse
    Throws:
      `Exception`
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException
    See Also:
      - `ConsultationService.deleteMessage(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.fgov.ehealth.ehbox.consultation.protocol.v3.DeleteMessageRequest)`

  - ### moveMessage

    public final MoveMessageResponse moveMessage(SAMLToken token, MoveMessageRequest request) throws ConnectorException
    Description copied from interface: `ConsultationService`
    Move to in box.
    Specified by:
      `moveMessage` in interface `ConsultationService`
    Parameters:
      `token` - the token
      `request` - the message request type
    Returns:
      the response type
    Throws:
      `ConnectorException` - , either TechnicalConnectorException or EhboxBusinessConnectorException
    See Also:
      - `ConsultationService.moveMessage(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.fgov.ehealth.ehbox.consultation.protocol.v3.MoveMessageRequest)`

  - ### insertOoO

    public InsertOoOResponse insertOoO(SAMLToken token, InsertOoORequest request) throws ConnectorException
    Description copied from interface: `ConsultationService`

    insert Out Of Office period.

    Specified by:
      `insertOoO` in interface `ConsultationService`
    Parameters:
      `request` - user and period of OoO
    Returns:
      status in InsertOoOResponse
    Throws:
      `ConnectorException`
      `SessionManagementException`
    See Also:
      - `ConsultationService.insertOoO(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.fgov.ehealth.ehbox.consultation.protocol.v3.InsertOoORequest)`

  - ### deleteOoO

    public final DeleteOoOResponse deleteOoO(SAMLToken token, DeleteOoORequest request) throws ConnectorException
    Description copied from interface: `ConsultationService`

    get list of periods of OoO for specific user.

    Specified by:
      `deleteOoO` in interface `ConsultationService`
    Parameters:
      `request` - user id
    Returns:
      list of OoO in GetOoOListResponse
    Throws:
      `ConnectorException`
      `SessionManagementException`
    See Also:
      - `ConsultationService.deleteOoO(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.fgov.ehealth.ehbox.consultation.protocol.v3.DeleteOoORequest)`

  - ### getOoOList

    public final GetOoOListResponse getOoOList(SAMLToken token, GetOoOListRequest request) throws ConnectorException
    Description copied from interface: `ConsultationService`

    delete specific OoO périod.

    Specified by:
      `getOoOList` in interface `ConsultationService`
    Parameters:
      `request` - period OoO id
    Returns:
      status in DeleteOoOResponse
    Throws:
      `ConnectorException`
    See Also:
      - `ConsultationService.getOoOList(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.fgov.ehealth.ehbox.consultation.protocol.v3.GetOoOListRequest)`

  - ### getAllEhboxesMessagesList

    public GetAllEhboxesMessagesListResponse getAllEhboxesMessagesList(SAMLToken token, GetAllEhboxesMessagesListRequest request) throws ConnectorException
    Description copied from interface: `ConsultationService`

    retrieve all messages from given source for all mailboxes.

    Specified by:
      `getAllEhboxesMessagesList` in interface `ConsultationService`
    Parameters:
      `token` -
      `request` -
    Returns:
    Throws:
      `ConnectorException`
    See Also:
      - `ConsultationService.getAllEhboxesMessagesList(be.ehealth.technicalconnector.service.sts.security.SAMLToken, be.fgov.ehealth.ehbox.consultation.protocol.v3.GetAllEhboxesMessagesListRequest)`

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`